## rat 3.0.23

=== Makefile ===
#
#	Makefile for the RAT project. 
#
# Note: On many systems (eg: HP-UX 9.x and FreeBSD) this REQUIRES GNU make
#

DEFS = -DNDEBUG
#-DDEBUG -DDEBUG_MEM
# -DNDEBUG -DDEBUG -DTEST -DGSM -DDEBUG_MIX -DDEBUG_MEM
# -DDEBUG_RTP -DREPEAT

DEFS += -D$(OSTYPE) -D$(OSTYPE)_$(OSMVER) -D$(USER)
CC     = gcc
CFLAGS = -Wall -Werror $(INCS) $(DEFS) -g -O -fsigned-char
LDFLAGS= 
LDLIBS=  $(LDLIBS) -lm
RANLIB = ranlib

# Not sure these are correct for anything other than a sparc??? [csp]
GSMFLAGS   = -DSASR -DFAST -DUSE_FLOAT_MUL

include Makefile_$(OSTYPE)_$(OSMVER)

BINDIR = bin/$(USER)
SRCDIR = src
OBJDIR = objs/$(USER)/$(OSTYPE)_$(OSVERS)
OBJS   = $(OBJDIR)/codec_encoder.o \
         $(OBJDIR)/codec_decoder.o \
         $(OBJDIR)/codec_lpc.o \
         $(OBJDIR)/codec_adpcm.o \
         $(OBJDIR)/rtcp_db.o \
         $(OBJDIR)/rtcp_pckt.o \
         $(OBJDIR)/qfDES.o \
         $(OBJDIR)/qfDES_memory.o \
         $(OBJDIR)/qfDES_key.o \
         $(OBJDIR)/gsm_add.o \
         $(OBJDIR)/gsm_create.o \
         $(OBJDIR)/gsm_encode.o \
         $(OBJDIR)/gsm_preprocess.o \
         $(OBJDIR)/gsm_table.o \
         $(OBJDIR)/gsm_code.o \
         $(OBJDIR)/gsm_decode.o \
         $(OBJDIR)/gsm_long_term.o \
         $(OBJDIR)/gsm_rpe.o \
         $(OBJDIR)/gsm_destroy.o \
         $(OBJDIR)/gsm_lpc.o \
         $(OBJDIR)/gsm_short_term.o \
         $(OBJDIR)/audio.o \
         $(OBJDIR)/audio_mix.o \
         $(OBJDIR)/auddev_sgi.o \
         $(OBJDIR)/auddev_sparc.o \
         $(OBJDIR)/auddev_hpux_raw.o \
         $(OBJDIR)/auddev_linux.o \
         $(OBJDIR)/auddev_freebsd.o \
         $(OBJDIR)/init_net.o \
         $(OBJDIR)/init_session.o \
         $(OBJDIR)/tabmulaw.o \
         $(OBJDIR)/transmit.o \
         $(OBJDIR)/util.o \
         $(OBJDIR)/interfaces.o \
         $(OBJDIR)/statistics.o \
         $(OBJDIR)/receive.o \
         $(OBJDIR)/audits.o \
         $(OBJDIR)/mix.o \
         $(OBJDIR)/parameters.o \
         $(OBJDIR)/rat_tcl.o \
         $(OBJDIR)/tcl_libs.o \
         $(OBJDIR)/service_rtcp.o \
         $(OBJDIR)/lbl_confbus.o \
         $(OBJDIR)/speaker_table.o \
         $(OBJDIR)/repair.o \
         $(OBJDIR)/net.o \
         $(OBJDIR)/ui.o \
         $(OBJDIR)/transcoder.o \
         $(OBJDIR)/agc.o \
         $(OBJDIR)/main.o

CRYPTOBJS=$(OBJDIR)/crypt.o \
          $(OBJDIR)/crypt_random.o \
          $(OBJDIR)/md5c.o

$(BINDIR)/rat-$(OSTYPE)-$(OSVERS): $(OBJS) $(GSMOBJS) $(CRYPTOBJS) $(RATOBJS)
	rm -f $(BINDIR)/rat-$(OSTYPE)-$(OSVERS)
	$(CC) $(RATOBJS) $(OBJS) $(GSMOBJS) $(CRYPTOBJS) $(LDLIBS) $(LDFLAGS) -o $(BINDIR)/rat-$(OSTYPE)-$(OSVERS)

$(OBJDIR)/%.o: $(SRCDIR)/%.c
	$(CC) $(CFLAGS) $(GSMFLAGS) $(CRYPTFLAGS) -c $(SRCDIR)/$*.c -o $(OBJDIR)/$*.o

$(OBJDIR)/init_session.o: 	$(SRCDIR)/version.h
$(OBJDIR)/rtcp.o:      		$(SRCDIR)/version.h
$(OBJDIR)/ui.o:       		$(SRCDIR)/version.h
$(OBJDIR)/ui.o:	      		$(SRCDIR)/xbm/ucl.xbm
$(OBJDIR)/ui.o:	      		$(SRCDIR)/xbm/mic.xbm
$(OBJDIR)/ui.o:	      		$(SRCDIR)/xbm/mic_mute.xbm
$(OBJDIR)/ui.o:	      		$(SRCDIR)/xbm/speaker.xbm
$(OBJDIR)/ui.o:	      		$(SRCDIR)/xbm/speaker_mute.xbm
$(OBJDIR)/ui.o:	      		$(SRCDIR)/xbm/head.xbm
$(OBJDIR)/ui.o:	      		$(SRCDIR)/xbm/head_mute.xbm
$(OBJDIR)/ui.o:	      		$(SRCDIR)/xbm/line_out.xbm
$(OBJDIR)/ui.o:	      		$(SRCDIR)/xbm/line_out_mute.xbm
$(OBJDIR)/ui.o:	      		$(SRCDIR)/xbm/line_in.xbm
$(OBJDIR)/ui.o:	      		$(SRCDIR)/xbm/line_in_mute.xbm
$(OBJDIR)/ui.o:	      		$(SRCDIR)/xbm/rat_med.xbm
$(OBJDIR)/ui.o:	      		$(SRCDIR)/xbm/rat_small.xbm

$(OBJDIR)/tcl2c: $(SRCDIR)/tcl2c.c
	$(CC) -o $(OBJDIR)/tcl2c $(SRCDIR)/tcl2c.c

$(OBJDIR)/rat_tcl.c: $(SRCDIR)/rat.tcl $(OBJDIR)/tcl2c
	cat $(SRCDIR)/rat.tcl | $(OBJDIR)/tcl2c init_ui_script > $(OBJDIR)/rat_tcl.c

$(OBJDIR)/rat_tcl.o: $(OBJDIR)/rat_tcl.c
	$(CC) $(CFLAGS) -c $(OBJDIR)/rat_tcl.c -o $(OBJDIR)/rat_tcl.o

$(OBJDIR)/tcl_libs.c: $(OBJDIR)/tcl2c
	cat tcl/*.tcl tk/*.tcl | $(OBJDIR)/tcl2c TCL_LIBS > $(OBJDIR)/tcl_libs.c

$(OBJDIR)/tcl_libs.o: $(OBJDIR)/tcl_libs.c
	$(CC) $(CFLAGS) -c $(OBJDIR)/tcl_libs.c -o $(OBJDIR)/tcl_libs.o

tclc: $(OBJDIR)/tcl_libs.c $(OBJDIR)/rat_tcl.c

clean:
	-rm -f $(OBJDIR)/*.o
	-rm -f $(OBJDIR)/tcl2c
	-rm -f $(OBJDIR)/rat_tcl.c $(OBJDIR)/tcl_libs.c

tags:
	(cd src; etags *.[ch])

tar:
	-rm -rf objs/* 
	-rm -rf bin/* 
	-rm -rf dist/*
	-rm -rf win95/rat.exe
	(cd ..; gtar zcvf rat-`date +%Y%m%d`.tgz rat)

depend:
	makedepend $(DEFS) $(INCS) -f Makefile_$(OSTYPE)_$(OSMVER) $(SRCDIR)/*.[ch]

## rat 4.0.3

=== rat/tests/Makefile ===

CC = gcc
DEBUG=-g
INCLUDE = -I.. -I../../common
CFLAGS  = -W -Wall -Wbad-function-cast -Wmissing-prototypes -Werror -g -fsigned-char  -DHAVE_PCA -DDEBUG -DFreeBSD -DSASR -DFAST -DUSE_FLOAT_MUL -DDEBUG_MEM
LIBS = -L../../common -lm -lcommon

CODEC_OBJS = ../codec.o ../codec_state.o ../codec_dvi.o ../codec_gsm.o \
             ../codec_l16.o ../codec_g711.o ../codec_lpc.o ../codec_types.o \
             ../codec_vdvi.o ../codec_wbs.o ../cx_dvi.o ../cx_gsm.o \
             ../cx_lpc.o     ../cx_vdvi.o   ../cx_wbs.o ../codec_g726.o \
             ../cx_g726.o ../cx_g726_16.o ../cx_g726_24.o ../cx_g726_32.o \
             ../cx_g726_40.o \
             ../converter.o ../convert_linear.o ../convert_util.o \
             ../convert_extra.o ../convert_sinc.o

CHANNEL_OBJS = ../cc_vanilla.o ../new_channel.o ../channel_types.o

UTIL_OBJS = ../timers.o ../playout.o ../ts.o

3D_OBJS = test_3d.o ../render_3D.o

RDNCY_OBJS = ../cc_rdncy.o ../channel_types.o test_rdncy.o

test_convert: $(CODEC_OBJS) test_convert.o
	$(CC) $(DEBUG)  -o $@ $(CODEC_OBJS) $(LIBS) test_convert.o

test_rdncy: $(RDNCY_OBJS) $(CODEC_OBJS) $(UTIL_OBJS)
	$(CC) $(DEBUG) -o $@ $(RDNCY_OBJS) $(CODEC_OBJS) $(UTIL_OBJS) $(LIBS)

test_3d: $(3D_OBJS) $(CODEC_OBJS)
	$(CC) $(DEBUG)  -o $@  $(3D_OBJS) $(CODEC_OBJS) $(LIBS)

native: native.o $(CODEC_OBJS)
	$(CC) $(DEBUG)  -o $@  $(CODEC_OBJS) native.o $(LIBS)

test_channel: $(CODEC_OBJS) $(CHANNEL_OBJS) $(UTIL_OBJS) test_channel.o
	$(CC) $(DEBUG)  -o $@ $(CODEC_OBJS) $(CHANNEL_OBJS) $(UTIL_OBJS) \
	$(LIBS) test_channel.o

test_codecs: $(CODEC_OBJS) test_codecs.o
	$(CC) $(DEBUG)  -o $@ $(CODEC_OBJS) $(LIBS) test_codecs.o

test_ts: $(UTIL_OBJS) test_ts.o
	$(CC) $(DEBUG)  -o $@ $(UTIL_OBJS) $(LIBS) test_ts.o

.c.o:
	$(CC) $(INCLUDE) $(CFLAGS) -c $< -o $@

clean:
	rm -rf $(CODEC_OBJS) $(3D_OBJS) $(RDNCY_OBJS) $(UTIL_OBJS) test_3d \
		test_codecs native test_channel *.o

## rat 4.2.22

=== tests/Makefile ===
CC = gcc
DEBUG=-g
INCLUDE = -I.. -I../../common -I../../common/src
CFLAGS  = -W -Wall -Wbad-function-cast -Wmissing-prototypes -Werror -g -fsigned-char -DSASR -DFAST -DUSE_FLOAT_MUL -DDEBUG_MEM
LIBS = -L../../common/src -lm -luclmmbase

CHANNEL_OBJS = ../cc_vanilla.o ../new_channel.o ../channel_types.o

G728_LIB = -L../../g728lib -lg728
CODEC_LIB = -L.. -luclcodec $(G728_LIB)
SNDFILE_LIB = -L../ -luclsndfile

REPAIR_OBJS  = ../repair.o ../audio_util.o

UTIL_OBJS = ../timers.o ../playout.o ../ts.o

3D_OBJS = test_3d.o ../render_3D.o

RDNCY_OBJS = ../cc_rdncy.o ../channel_types.o test_rdncy.o

PKTBUF_OBJS = ../pktbuf.o test_pktbuf.o ../ts.o ../playout.o

RTONE_OBJS = ./rtone.o

test_sndfile: $(CODEC_OBJS) test_sndfile.o
	$(CC) $(DEBUG)  -o $@ $(SNDFILE_LIB) $(CODEC_LIB) $(LIBS) test_sndfile.o

test_convert: $(CODEC_OBJS) test_convert.o
	$(CC) $(DEBUG)  -o $@ $(CODEC_OBJS) $(LIBS) test_convert.o

rtone: $(RTONE_OBJS) $(CODEC_OBJS) $(SNDFILE_OBJS)
	$(CC) $(DEBUG) -o $@ $(RTONE_OBJS) $(SNDFILE_LIB) $(CODEC_LIB) $(LIBS)

test_pktbuf: $(PKTBUF_OBJS)
	$(CC) $(DEBUG)  -o $@ $(PKTBUF_OBJS) $(LIBS) 

test_repair: $(CODEC_OBJS) $(REPAIR_OBJS) test_repair.o 
	$(CC) $(DEBUG)  -o $@ $(SNDFILE_LIB) $(REPAIR_OBJS) $(CODEC_LIB) $(LIBS) test_repair.o

test_rdncy: $(RDNCY_OBJS) $(UTIL_OBJS)
	$(CC) $(DEBUG) -o $@ $(RDNCY_OBJS) $(UTIL_OBJS) $(CODEC_LIB) $(LIBS)

test_3d: $(3D_OBJS) 
	$(CC) $(DEBUG)  -o $@  $(3D_OBJS) $(CODEC_LIB) $(LIBS)

native: native.o 
	$(CC) $(DEBUG)  -o $@ native.o $(CODEC_LIB) $(LIBS)

test_channel: $(CHANNEL_OBJS) $(UTIL_OBJS) test_channel.o
	$(CC) $(DEBUG)  -o $@ $(CHANNEL_OBJS) $(UTIL_OBJS) \
	$(CODEC_LIB) $(LIBS) test_channel.o

test_codecs: test_codecs.o
	$(CC) $(DEBUG)  -o $@ $(CODEC_LIB) $(LIBS) test_codecs.o

test_ts: $(UTIL_OBJS) test_ts.o
	$(CC) $(DEBUG)  -o $@ $(UTIL_OBJS) $(LIBS) test_ts.o

.c.o:
	$(CC) $(INCLUDE) $(CFLAGS) -c $< -o $@

clean:
	rm -rf $(CODEC_OBJS) $(3D_OBJS) $(RDNCY_OBJS) $(UTIL_OBJS) test_3d \
		test_codecs native test_channel *.o

=== debian/changelog ===
rat (4.2.22-4) unstable; urgency=low

  * Reflowed files using wrap-and-sort.
  * Moved code to collab-maint and add Vcs links to d/control.
  * Converted d/patches/ to use quilt.
  * Enabled hardening during build and added 05-hardening.patch to fix
    new build problems.
  * Adjusted d/rules to install in binary-arch target to fix build
    problem.
  * Adjusted input validation to avoid crash discovered by project
    Mayhem (Closes: #716590).
  * Removed obsolete debian/patched imported by mistake.
  * Replaced menu file with desktop file.
  * Corrected man page installation location.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 24 Dec 2016 22:49:50 +0100

rat (4.2.22-3) unstable; urgency=low

  * QA upload.
  * Acknowledge NMU (Closes: #849259).
  * Package was orphaned in #843443, change package maintainer to QA group.
  * Remove dh_testroot from d/rules build and install target to fix
    build problem on autobuilders.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 24 Dec 2016 12:11:17 +0100

rat (4.2.22-2.3) unstable; urgency=low

  * Non-maintainer upload to fix RC problem.
  * Changed from debhelper 4 to 9 (Closes: #817648).
  * Moved upstream code changes to 04-rat-4.2.22-2.2.dpatch and switch
    to 3.0 quilt source format.
  * Revert config.guess and config.sub in source to originals and
    replace them during build instead (Closes: #740652).  Patch from
    Logan Rosen and Ubuntu.
  * Move homepage URL from description to d/control field.
  * Updated Standards-Version from 3.7.2 to 3.9.8.
  * Added ${misc:Depends} to dependency list.
  * Restructure d/rules to fix problems discovered by lintian.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 24 Dec 2016 11:23:29 +0100

rat (4.2.22-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Replaced the obsolete tk8.4-dev build-dependency by the default
    tk-dev (closes: #725285).
  * Defined USE_INTERP_RESULT macro to quickfix FTBFS against tk-dev 8.6.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 31 Oct 2013 20:29:51 +0400

rat (4.2.22-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Changed build-deps to remove the dependecy against xlibs (closes: 
    #370233).
  * All files under debian/ directory are now encoded in UTF-8 (closes:
    #338844).
  * Updated Standards-Version to 3.7.2.
  * Set debhelper "compat" to 4.
  * Removed the last 2 lines of the changelog to correct the lintian
    warning.
  * Added dh_fixperms before dh_strip to fix lintian error
    unstripped-binary-or-object.

 -- Florent Bayle <fbayle@bigfoot.com>  Tue,  6 Jun 2006 17:24:34 +0200

rat (4.2.22-2) unstable; urgency=low

  * debian/patches: Added 01-rat-manpage-fix, for fixing the error
    "unrecognised format `M' ". Maybe new man-db uncovered it (closes:
    #184338).
  * Reordered debian/copyright and README.Debian.

 -- David Martínez Moreno <ender@debian.org>  Mon, 17 Mar 2003 10:53:39 +0100

rat (4.2.22-1) unstable; urgency=low

  * New upstream release.
  * debian/patches: Drop 02-usr-lib (ancient) and 06-printf-long patches
    (merged upstream).
  * debian/control: Built with Tcl/Tk 8.4 (closes: #173163), removed
    dependency on xlib6g-dev in favor of xlibs (closes: #170128), and bumped
    Standards-Version to 3.5.8. Fixed a typo in the Description.
  * debian/rules: Replaced debug by noopt and dropped dh_undocumented due to
    new policy. Also replaced DH_COMPAT by debian/compat as joeyh's advice.
  * Updated config.guess and config.sub to the latest ones.

 -- David Martínez Moreno <ender@debian.org>  Mon, 10 Mar 2003 00:35:02 +0100

rat (4.2.21-2) unstable; urgency=low

  * Recompiled rat with the new IPv6-activated libuclmmbase1. Let's see if
    this resolves #147124.

 -- David Martínez Moreno <ender@debian.org>  Fri, 17 May 2002 18:04:10 +0200

rat (4.2.21-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Priority changed to extra, according to Policy Section
    8.2, because rat depends on tcl8.0, which is extra.
  * Recompiled with new uclmmbase (1.2.11).
  * Removed patch #05-alpha-unsigned-long: Merged upstream.
  * Removed several other patches previously merged upstream.

 -- David Martínez Moreno <ender@debian.org>  Fri,  3 May 2002 10:36:38 +0200

rat (4.2.20-3) unstable; urgency=low

  * Definitely drop -Werror, as it is preventing rat from being
    built on sparc (for example). The version of rat in testing
    MUST be replaced (it's 4.0.3 from 21 Jul 1999...kinda old).
    Only m68k remains with build problems, but I think that it
    will compile this version.

 -- David Martínez Moreno <ender@debian.org>  Wed, 30 Jan 2002 18:33:20 +0100

rat (4.2.20-2) unstable; urgency=low

  * More cleanup in the diff.gz.
  * Removed patch #4 because upstream now reflects it.
  * debian/control: Added missing Build-Depends on xlib6g-dev and
    missing -O2 in CFLAGS (I did forget it in 4.2.20-1).
  * debian/rules: Removed bashism and replaced 'echo' by '/bin/echo'.
  * Added patch #6 from Petter Reinholdtsen in order to fix the build in
    sparc (only powerpc remains with problems for rat entering
    testing). BTW, this closes: #129628.

 -- David Martínez Moreno <ender@debian.org>  Sun, 20 Jan 2002 04:44:59 +0100

rat (4.2.20-1) unstable; urgency=low

  * New upstream release.
  * Fixed forgotten malloc in auddev_oss.c mixer.
  * Added support for more devices (telephony drivers).
  * Rebuilt with newly adopted libuclmmbase1 1.2.10.
  * Cleaned up configure changes about CFLAGS=-g, and passed it in
    CFLAGS from debian/rules (thanks, Santiago Vila).

 -- David Martínez Moreno <david.martinez@rediris.es>  Mon,  3 Dec 2001 21:15:29 +0100

rat (4.2.19-1) unstable; urgency=low

  * New upstream release, closes: #104270.
  * I've removed all the references to WBS codec, property of BT, in
    an unreleased version (4.2.18-2). But for 4.2.19 Colin (upstream
    maintainer) added a REMOVE_WBS_CODEC compile option. It should


=== debian/control ===
Source: rat
Build-Depends: autotools-dev,
               debhelper (>= 9~),
               libice-dev,
               libsm-dev,
               libuclmmbase1-dev (>= 1.2.11-2),
               libx11-dev,
               libxext-dev,
               patch,
               tk-dev
Section: net
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.9.8
Homepage: http://www-mice.cs.ucl.ac.uk/multimedia/software/rat/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/rat.git
Vcs-Git: git://anonscm.debian.org/collab-maint/rat.git

Package: rat
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: sdr
Description: Unicast and multicast voice-over-IP application
 RAT is a network audio tool that allows users to participate in audio
 conferences over the Internet. These can be between two participants
 directly, or between a group of participants on a common multicast group.
 No special features are required to use RAT in point-to-point mode, but to
 use the multicast conferencing facilities of RAT, a connection to the
 Mbone, or a similar multicast-capable network, is required. RAT is based on
 IETF standards, using RTP above UDP/IP as its transport protocol, and
 conforming to the RTP profile for audio and video conferences with minimal
 control.

=== debian/rules ===
#!/usr/bin/make -f
# David Martnez <ender@debian.org>
# It seems that I finally changed this cursed Makefile to DHv3.
# Now I only have to change this cursed Makefile to DHv4. :-)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

version=$(shell expr `pwd` : '.*-\([0-9.]*\)')
version_major=$(shell expr `pwd` : '.*-\([0-9]*\).[0-9.]*')

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -g
endif

# WBS codec is licensed by British Telecommunications,
# and its license is not compatible with DFSG.
CFLAGS += -DREMOVE_WBS_CODEC

CFLAGS += -DUSE_INTERP_RESULT

#export DH_VERBOSE=1

CFLAGS += -O2
export CFLAGS

# Let's roll...
config: config-stamp

config-stamp:
	dh_testdir
	dh_autotools-dev_updateconfig
	./configure --enable-ipv6 \
		    --with-tcl=/usr/include/tcl \
		    --with-tk=/usr/include/tcl \
		    --with-tcltk-version="" \
		    --with-common=/usr/include/uclmmbase \
		    --mandir=$(CURDIR)/debian/rat/usr/share/man
	touch config-stamp

build: config build-stamp

build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean: clean1

clean1:
	dh_testdir
	dh_testroot
	rm -f build-stamp config-stamp
	if [ -e Makefile ] ; then $(MAKE) distclean; fi
	dh_autotools-dev_restoreconfig
	dh_clean

install: build
	dh_testdir
	dh_clean
	dh_installdirs

	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr

	dh_movefiles
build-indep build-arch binary-indep: build

binary-arch: build install
	dh_testdir
	dh_installdocs
#	dh_installmenu
	dh_install
	dh_installman
#	dh_undocumented rat-ui.1 rat-media.1
	dh_installchangelogs
	dh_fixperms
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:								  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
# vim:set noet ai sts=8 sw=8 tw=0:
